// This module is used for creating delays
// reset will reset this module
// fast pulse will go high for one clock cycle 0.2 seconds after a reset
// slow pulse will go high for one clock cycle 0.75 seconds after a reset
// NOTE: Every time this module is reset the time before getting will also
//       be reset. So if reset is constantly held high you will never get
//       either pulse.
module delay (
	input clk,
	input reset,
	output slow_pulse,
	output fast_pulse
);
	reg [24:0] counter;
	
	assign slow_pulse = (counter == 25'd18000000); 
	assign fast_pulse = (counter == 25'd4800000);
	
	always @(posedge clk) begin
		if (reset)
			counter = 24'd0;
		else
			counter <= counter + 1'b1;
	end
endmodule
