// This module controls the green LEDs.
// If show_seq is low all LEDs are off.
// If show_seq is high the led pair correspoding to the high bit
// in seq is lit up.
module ledg_out (
	input show_seq,
	input [3:0] seq,
	output [7:0] ledg
);
	assign ledg = show_seq ? {{2{seq[3]}}, {2{seq[2]}}, {2{seq[1]}}, {2{seq[0]}}} : 8'h0;
endmodule
